Get document status
The Get Document Status method returns the status for a specific document. The method returns the translation status for a specific document based on the request ID and document ID.
Request URL
Send a GET request to:
GET https://<NAME-OF-YOUR-RESOURCE>.cognitiveservices.azure.com/translator/text/batch/v1.0/batches/{id}/documents/{documentId}
Learn how to find your custom domain name.
Important
- All API requests to the Document Translation service require a custom domain endpoint.
- You can't use the endpoint found on your Azure portal resource Keys and Endpoint page nor the global translator endpoint—
api.cognitive.microsofttranslator.com—to make HTTP requests to Document Translation.
Request parameters
Request parameters passed on the query string are:
| Query parameter | Required | Description |
|---|---|---|
| documentId | True | The document ID. |
| id | True | The batch ID. |
Request headers
Request headers are:
| Headers | Description |
|---|---|
| Ocp-Apim-Subscription-Key | Required request header |
Response status codes
The following are the possible HTTP status codes that a request returns.
| Status Code | Description |
|---|---|
| 200 | OK. Successful request and it is accepted by the service. The operation details are returned.HeadersRetry-After: integerETag: string |
| 401 | Unauthorized. Check your credentials. |
| 404 | Not Found. Resource is not found. |
| 500 | Internal Server Error. |
| Other Status Codes |
|
Get document status response
Successful get document status response
| Name | Type | Description |
|---|---|---|
| path | string | Location of the document or folder. |
| sourcePath | string | Location of the source document. |
| createdDateTimeUtc | string | Operation created date time. |
| lastActionDateTimeUtc | string | Date time in which the operation's status has been updated. |
| status | String | List of possible statuses for job or document:
|
| to | string | Two letter language code of To Language. See the list of languages. |
| progress | number | Progress of the translation if available |
| id | string | Document ID. |
| characterCharged | integer | Characters charged by the API. |
Error response
| Name | Type | Description |
|---|---|---|
| code | string | Enums containing high-level error codes. Possible values:
|
| message | string | Gets high-level error message. |
| innerError | InnerTranslationError | New Inner Error format which conforms to Cognitive Services API Guidelines. This contains required properties ErrorCode, message and optional properties target, details(key value pair), inner error(this can be nested). |
| innerError.code | string | Gets code error string. |
| innerError.message | string | Gets high-level error message. |
| innerError.target | string | Gets the source of the error. For example it would be "documents" or "document id" in case of invalid document. |
Examples
Example successful response
The following JSON object is an example of a successful response.
{
"path": "https://myblob.blob.core.windows.net/destinationContainer/fr/mydoc.txt",
"sourcePath": "https://myblob.blob.core.windows.net/sourceContainer/fr/mydoc.txt",
"createdDateTimeUtc": "2020-03-26T00:00:00Z",
"lastActionDateTimeUtc": "2020-03-26T01:00:00Z",
"status": "Running",
"to": "fr",
"progress": 0.1,
"id": "273622bd-835c-4946-9798-fd8f19f6bbf2",
"characterCharged": 0
}
Example error response
The following JSON object is an example of an error response. The schema for other error codes is the same.
Status code: 401
{
"error": {
"code": "Unauthorized",
"message": "User is not authorized",
"target": "Document",
"innerError": {
"code": "Unauthorized",
"message": "Operation is not authorized"
}
}
}
Next steps
Follow our quickstart to learn more about using Document Translation and the client library.
Povratne informacije
Pošalјite i prikažite povratne informacije za